Create Customer Session
Intent
Creates a customer session from the values supplied in the request.
When to call it
Call this when your application has collected the required values and is ready to create a customer session.
Access boundary
Authorize the request with a token that carries customer_sessions:write.
Successful result
A successful request returns 201. The response schema below defines the body your integration receives.
Operational notes
For organizations with member_model_enabled, this will automatically
create a member session for the owner member of the customer.
Authorizations
Body
- CustomerSessionCustomerIDCreate
- CustomerSessionCustomerExternalIDCreate
Schema for creating a customer session using a customer ID.
Identifier of the customer to create a session for.
Identifier of the member to create a session for. When not provided and the organization has member_model_enabled, the owner member of the customer will be used for individual customers.
External Member Id: External ID of the member to create a session for. Alternative to member_id.
If provided, a back button will be shown in the customer portal to return to this URL.
1 - 2083"https://example.com/account"
Response
Response: Customer session created.
Object representing customer session that can be used to authenticate as a customer.
The time Ruba created this record.
The time this record last changed.
The stable identifier for this record.
Object representing customer in an organization.
- CustomerIndividual
- CustomerTeam